<?PHP 

define('PATH_IMG', '/home/.pippin/diguinhou/ibfriends.zoebr.com/upload_album'); 
define('MAX_WIDTH', 160); 
define('MAX_HEIGHT', 120); 

# Pega onde est a imagem 
$image_file = str_replace('..', '', $_SERVER['QUERY_STRING']); 
$image_path = PATH_IMG . '/' . $image_file; 

# Carrega a imagem 
$img = null; 

$extensao = strtolower(end(explode('.',$image_path))); 

if ($extensao == 'jpg' || $extensao == 'jpeg') { 
    $img = @imagecreatefromjpeg($image_path); 
} else if ($extensao == 'png') { 
    $img = @imagecreatefrompng($image_path); 
    // Se a verso do GD incluir suporte a GIF, mostra... 
} elseif ($extensao == 'gif') { 
    $img = @imagecreatefromgif($image_path); 
} 

// Se a imagem foi carregada com sucesso, testa o tamanho da mesma 
if ($img) { 
    // Pega o tamanho da imagem e proporo de resize 
    $width = imagesx($img); 
    $height = imagesy($img); 
    $scale = min(MAX_WIDTH/$width, MAX_HEIGHT/$height); 

    // Se a imagem  maior que o permitido, encolhe ela! 
    if ($scale < 1) { 
        $new_width = floor($scale * $width); 
        $new_height = floor($scale * $height); 
        // Cria uma imagem temporria 
        $tmp_img = imagecreatetruecolor($new_width, $new_height); 
        // Copia e resize a imagem velha na nova 
        imagecopyresized($tmp_img, $img, 0, 0, 0, 0, $new_width, $new_height, $width, $height); 
        imagedestroy($img); 
        $img = $tmp_img; 
    } 
} 

// Cria uma imagem de erro se necessrio 
if (!$img) { 
    $img = imagecreatetruecolor(MAX_WIDTH, MAX_HEIGHT); 
    imagecolorallocate($img, 204, 204, 204); 
    $c = imagecolorallocate($img, 153, 153, 153); 
    $c1 = imagecolorallocate($img, 0, 0, 0); 
    imageline($img, 0, 0, MAX_WIDTH, MAX_HEIGHT, $c); 
    imageline($img, MAX_WIDTH, 0, 0, MAX_HEIGHT, $c); 
    imagestring($img, 2, 12, 55, 'erro ao carregar imagem', $c1); 
} 

// Mostra a imagem 
header('Content-type: image/jpeg'); 
imagejpeg($img); 
?> 